Subject: bug#31313: 26.1; gnutls.c: [0] (Emacs) Received alert: Handshake failed

From: Noam Postavsky <[email-masked]>
Date: Sun, 29 Apr 2018 16:38:29 -0400

tags 31313 + unreproducible
quit

Eric Hanchrow <[email-masked]> writes:

> Put this into /tmp/repro.el
>
>      (setq package-archives
>            '(("gnu" . "https://elpa.gnu.org/packages/")
>              ("melpa" . "https://melpa.org/packages/")
>              ("elpy" . "https://jorgenschaefer.github.io/packages/"))
>            )
>      (package-list-packages)
>
> Then run "emacs -Q --load /tmp/repro.el".  You'll see
>
>      gnutls.c: [0] (Emacs) Received alert:  Handshake failed
>
> in the echo area; the *Packages* buffer's mode line will say Package
> Menu:Loading for ever, and after typing U you will see "Waiting for
> refresh to finish...".  Basically packages are now unusable.
>
> This used to work until perhaps a few days or weeks ago; as far as I
> know nothing has changed.

I can't reproduce this.  I get the packages listed in *Packages*, and
the following in *Messages*:

    Importing package-keyring.gpg...done
    Setting ‘package-selected-packages’ temporarily since "emacs -q" would overwrite customizations
    Package refresh done
    4 packages can be upgraded; type ‘U’ to mark them for upgrading.